App::Pinto::Command::merge(3pm)

NAME
App::Pinto::Command::merge - join two stack histories together

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT merge [OPTIONS] STACK [INTO_STACK]

DESCRIPTION
!! THIS COMMAND IS EXPERIMENTAL !!

This command joins the history of one stack with another. At present, it is only capable of doing a "fast-forward" merge when the head of STACK is a direct descendant of the head of INTO_STACK.

COMMAND ARGUMENTS
The first mandatory argument is the name of the stack to merge from. The second optional argument is the name of the stack to merge to. If the second argument is not specified, it defaults to whichever stack is currently marked as the default. Here are some examples:

  pinto ... merge dev               # Merge the "dev" stack into the default stack
  pinto ... merge dev prod          # Merge the "dev" stack into the "prod" stack

COMMAND OPTIONS

--dry-run
    Go through all the motions, but do not actually commit any changes to the repository. At the conclusion, a diff showing the changes that would have been made will be displayed. Use this option to see how upgrades would potentially impact the stack.

--message=TEXT
-m TEXT
    Use TEXT as the revision history log message. If you do not use the "--message" option or the "--use-default-message" option, then you will be prompted to enter the message via your text editor. Use the "PINTO_EDITOR" or "EDITOR" or "VISUAL" environment variables to control which editor is used. A log message is not required whenever the "--dry-run" option is set, or if the action did not yield any changes to the repository.

--use-default-message
-M  Use the default value for the revision history log message. Pinto will generate a semi-informative log message just based on the command and its arguments. If you set an explicit message with "--message", the "--use- default-message" option will be silently ignored.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.